<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xingxi.mq.server.order.mapper.PaymentInfoMqMapper">

    <update id="updateOrderStatusByOrderId" parameterType="PaymentInfo">
        update t_payment_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="orderStatus != null and orderStatus != ''">orderStatus = #{orderStatus},</if>
            <if test="payTime != null">payTime = #{payTime},</if>
            <if test="stateCode != null and stateCode != ''">stateCode = #{stateCode},</if>
            <if test="tradeState != null and tradeState != ''">tradeState = #{tradeState},</if>
            <if test="successTime != null">successTime = #{successTime},</if>
            <if test="updateUser != null and updateUser != ''">updateUser = #{updateUser},</if>
            <if test="updateTime != null">updateTime = #{updateTime},</if>
        </trim>
        where delFlag = '0'
            and orderId = #{orderId}
    </update>
</mapper>